﻿using System;
using System.Collections.Generic;
using System.Text;

namespace SignToolNet
{
    public class CommandLineArguments
    {
        public string FileToSign { get; private set; }

        public string TimestampUrl { get; private set; }
        
        public string Certificate { get; private set; }
        
        public string Password { get; private set; }

        public string Description { get; private set; }

        public string MoreInfoUrl { get; private set; }

        public CommandLineArguments(string[] args)
        {
            var argsList = new List<string>(args);
            
            var pIndex = argsList.IndexOf("/p");
            if (argsList.Count > pIndex + 1)
                Password = argsList[pIndex + 1];

            var cIndex = argsList.IndexOf("/f");
            if (argsList.Count > cIndex + 1)
                Certificate = argsList[cIndex + 1];

            var tIndex = argsList.IndexOf("/t");
            if (argsList.Count > tIndex + 1)
                TimestampUrl = argsList[tIndex + 1];

            var dIndex = argsList.IndexOf("/d");
            if (argsList.Count > dIndex + 1)
                Description = argsList[dIndex + 1];

            var duIndex = argsList.IndexOf("/du");
            if (argsList.Count > duIndex + 1)
                MoreInfoUrl = argsList[duIndex + 1];

            FileToSign = args[args.Length - 1];
        }
    }
}
